- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface Class Reference

`#include <MEDebugInterface.h>`

Collaboration diagram for Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface:

[legend]
List of all members.

## Public Member Functions
| MEDebugInterface (Mers::Estimation::Discrete::ModeEstimatorBase *const me)
virtual | ~MEDebugInterface ()
Mers::Estimation::Discrete::ModeEstimatorBase * | getME (void) const
virtual const Trajectories * | findNextTrajectories (void)=0
virtual const Estimate * | progressToEstimate (void)=0
virtual const Estimate * | findModeEstimate (void)=0
virtual void | setNumberTrajectories (unsigned int k)=0
virtual void | setDebug (const unsigned short db)=0
virtual void | showNextTrajectories (std::ostream &out) const =0
virtual void | showCurrentTrajectories (std::ostream &out) const =0
virtual unsigned int | getNumConflictsGenerated (void) const =0
virtual bool | resetCommandsAndObservations (void)=0
virtual unsigned int | getNumEstimatesGenerated (void) const =0
virtual unsigned int | getNumberFaultTransitions (void)=0
virtual unsigned int | getEstimateFaultTransitions (unsigned int estIndex)=0
virtual unsigned int | getNumCandidatesGenerated (void) const =0
## Public Attributes
Mers::Estimation::Discrete::ModeEstimatorBase *const | myME
| A pointer to the ME engine.

## Detailed Description

The ModeEstimatorDebug is an HHM estimation engine that generates estimates that are consistent with the CCA model, commands, and observations. Estimates are generated in best-first order (highest posterior probability first) by using Opsat to find the most likely diagnoses. This implimentation of ModeEstimator tracks the k most likely trajectories over time. Debug hooks are placed into the ModeEstimator base class and information is collected in MEPerformanceMonitor.

Definition at line 45 of file MEDebugInterface.h.

## Constructor & Destructor Documentation

Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface::MEDebugInterface | ( | Mers::Estimation::Discrete::ModeEstimatorBase *const | me | ) | `[inline]`

Creates a new MEDebugInterface.

Definition at line 56 of file MEDebugInterface.h.

virtual Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface::~MEDebugInterface | ( |  | ) | `[inline, virtual]`

Destroys the mode estimator

Definition at line 66 of file MEDebugInterface.h.

References myME.

## Member Function Documentation

Mers::Estimation::Discrete::ModeEstimatorBase* Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface::getME | ( | void |  | ) | const`[inline]`

Provides access to the Mode Estimator engine

Returns:
  the mode estimator engine that created this class

Definition at line 80 of file MEDebugInterface.h.

References myME.

virtual const Trajectories* Mers::Estimation::Discrete::ModeEstimationPerformance::MEDebugInterface::findNextTrajectories | ( | void |  | ) | `[pure virtual]`

Simply create prototype functions for all methods used by the performance analysis

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ModeEstimationPerformance/MEDebugInterface.h